Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 348206 - Revived ebuild for sci-libs/comedilib
Summary: Revived ebuild for sci-libs/comedilib
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-08 20:41 UTC by W. Trevor King
Modified: 2010-12-11 12:40 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Revived ebuild. (comedilib-9999.ebuild,1.17 KB, text/plain)
2010-12-08 20:43 UTC, W. Trevor King
Details

Note You need to log in before you can comment on or make changes to this bug.
Description W. Trevor King 2010-12-08 20:41:21 UTC
There seems to have been a comedilib ebuild in the Portage tree a few years ago [1], but it has since been removed.  I've dusted it off (and created a new sci-misc/comedi-headers dependency) in my `wtk` overlay [2].  I'll attach the comedilib ebuild for discussion...

[1]: http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/sci-libs/comedilib/?hideattic=0
[2]: http://www.physics.drexel.edu/~wking/unfolding-disasters/posts/Gentoo_overlay/

Reproducible: Always

Steps to Reproduce:
1. emerge comedilib

Actual Results:  
...
emerge: there are no ebuilds to satisfy "comedilib".


Expected Results:  
Installed comedilib.

Note that I have *not* revived the sci-misc/comedi kernel module ebuild [3].  I use the in-kernel staging driver, but I'm not sure how dependencies should be handled here.  I've tried to follow the example set by media-libs/alsa-lib and
media-sound/alsa-headers, since they deal with a similar situation.

[3]: http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/sci-misc/comedi/?hideattic=0
Comment 1 W. Trevor King 2010-12-08 20:43:24 UTC
Created attachment 256694 [details]
Revived ebuild.

current version in the wtk overlay:
  http://www.physics.drexel.edu/~wking/unfolding-disasters/posts/Gentoo_overlay/
Comment 2 Jeroen Roovers gentoo-dev 2010-12-09 18:09:05 UTC
It was removed because of security bug #123053.
Comment 3 W. Trevor King 2010-12-11 12:40:58 UTC
(In reply to comment #2)
> It was removed because of security bug #123053.

A few points about bug #123053 and the removal of comedilib:

1) Bug #123053 was marked "RESOLVED FIXED".  Does removing a buggy package really count as fixing the bugs?  Perhaps it was marked as fixed because the
attached ebuild fixed the bug, even though that ebuild was never merged into
the Portage tree.

2) Bug #123053's comment #12 points out that comedilib was removed because the comedi package was removed.  However, with comedi now also available as a staging driver, the dependency on an externally bundled comedi driver is no longer relevant.

3) The CVS commit message removing comedilib is "Remove comedilib as I can't maintain it anymore" [1].

Anyhow, the new ebuild (in my overlay) does not suffer from insecure RUNPATHs or any other detected QA issues.

[1]: http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/sci-libs/comedilib/?hideattic=0